GETWCHAR(P)

NAME
getwchar - get a wide character from a stdin stream

SYNOPSIS

#include <wchar.h>

wint_t getwchar(void);

DESCRIPTION

The getwchar() function shall be equivalent to getwc(stdin).

RETURN VALUE

Refer to fgetwc() .

ERRORS

Refer to fgetwc() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

If the wint_t value returned by getwchar() is stored into a variable of type wchar_t and then compared against the wint_t macro WEOF, the result may be incorrect. Only the wint_t type is guaranteed to be able to represent any wide character and WEOF.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fgetwc() , getwc() , the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .